clear;

test_num = 2000000;                         % sample number
stop_score = linspace(0.05,1.00,20)';
score_total = zeros(20,1);

for j = 1:20
   round1 = 0.05.*randi(20,test_num,1);
   round2 = 0.05.*randi(20,test_num,1);
   round2(round1 >= stop_score(j)) = 0;
   round1 = round1 + round2;
   round1(round1>1) = 0;
   score_total(j) = sum(round1(:))/test_num;
end

[~,i] = max(score_total);
fprintf('iteration time = %d , stop if the first spin >= %.2f', test_num, i*0.05);
